# Delete bank account
Delete a bank account given its Pismo account ID and scheme name in the path.
To read about Pismo's banking offerings, see [Banking overview](doc:banking-overview).
This endpoint generates a Bank account updated event.
# OpenAPI definition
```json
{
"openapi": "3.1.0",
"info": {
"title": "Banking - Bank accounts",
"version": "1.0.0",
"description": "API for managing bank accounts in global formats",
"contact": {
"name": "API Support",
"url": "https://developers.pismo.io/support/"
},
"license": {
"name": "Copyright Pismo"
}
},
"servers": [
{
"url": "https://sandbox.pismolabs.io/intl-bankaccounts",
"description": "Sandbox API server for testing"
}
],
"security": [
{
"BearerAuth": []
}
],
"tags": [
{
"name": "Bank accounts",
"description": "Bank account management endpoints"
}
],
"components": {
"securitySchemes": {
"BearerAuth": {
"type": "http",
"scheme": "bearer",
"description": "Account token - token encoded with Pismo account ID. Tokens can expire quickly, which can result in an **401 Unauthorized** error.",
"bearerFormat": "JWT"
}
},
"parameters": {
"accountIDpath": {
"name": "accountId",
"in": "path",
"description": "Pismo account ID",
"required": true,
"schema": {
"type": "string"
},
"example": "78123456"
},
"auth": {
"name": "AuthorizationHeader",
"in": "header",
"description": "Account token - Token encoded with a Pismo account ID. Tokens can expire quickly, which can result in a **401 Unauthorized** error. \n",
"required": true,
"schema": {
"type": "string"
},
"example": 1234
},
"schemeNamePath": {
"name": "schemeNamePath",
"in": "path",
"description": "Bank account's scheme (account type): \n`IBAN` - International Bank Account Number \n`UK-SCAN` - UK bank account - sort code + account number (SCAN)\n`BRAZIL` - Brazilian bank account \n`BBAN` - Basic Bank Account Number\n`ACH` - Automated Clearing House for US Account\n`FEDWIRE` - US Account scheme\n`CLABE` - Mexico bank account scheme\n",
"required": true,
"schema": {
"type": "string",
"enum": [
"IBAN",
"UK-SCAN",
"BRAZIL",
"BBAN",
"ACH",
"FEDWIRE",
"CLABE"
]
},
"example": "IBAN"
}
},
"schemas": {
"domain.Error": {
"type": "object",
"properties": {
"code": {
"type": "string",
"description": "Error type code",
"example": "EIBA0001"
},
"details": {
"type": "string",
"description": "Error details",
"example": "Key not found"
},
"message": {
"type": "string",
"description": "Error message",
"example": "Key not found"
}
}
}
}
},
"paths": {
"/v2/accounts/{accountId}/bank-accounts/{schemeNamePath}": {
"delete": {
"tags": [
"Bank accounts"
],
"summary": "Delete bank account",
"description": "Delete a bank account given its Pismo account ID and scheme name in the path.\n\nTo read about Pismo's banking offerings, see [Banking overview](https://developers.pismo.io/pismo-docs/docs/banking-overview).\n\nThis endpoint generates a Bank account updated event.\n",
"operationId": "delete-intl-bank-accounts-v2-accounts-account-id-bank-accounts-scheme-name",
"parameters": [
{
"$ref": "#/components/parameters/auth"
},
{
"$ref": "#/components/parameters/accountIDpath"
},
{
"$ref": "#/components/parameters/schemeNamePath"
}
],
"responses": {
"204": {
"description": "Response does not contain a body in case of successful deletion",
"content": {}
},
"400": {
"description": "Bad Request",
"headers": {
"x-cid": {
"description": "Request tracking identifier.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIBA0012": {
"summary": "Accounts API invalid request",
"value": {
"code": "EIBA0012",
"message": "Accounts - API returned 4xx error"
}
},
"EIBA0016": {
"summary": "Account ID mismatch",
"value": {
"code": "EIBA0016",
"message": "Account ID in header does not match account ID in request body"
}
}
}
}
}
},
"403": {
"description": "Forbidden",
"headers": {
"x-cid": {
"description": "Request tracking identifier.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIBA0006": {
"summary": "Missing tenant header",
"value": {
"code": "EIBA0006",
"message": "Missing required header: 'x-tenant'"
}
},
"EIBA0007": {
"summary": "Invalid account ID header",
"value": {
"code": "EIBA0007",
"message": "Invalid account ID header: 'x-account-id'"
}
},
"EIBA0023": {
"summary": "Account status not NORMAL",
"value": {
"code": "EIBA0023",
"message": "Account status not NORMAL"
}
}
}
}
}
},
"404": {
"description": "Not",
"headers": {
"x-cid": {
"description": "Request tracking identifier.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIBA0010": {
"summary": "Account not found",
"value": {
"code": "EIBA0010",
"message": "Account not found"
}
}
}
}
}
},
"500": {
"description": "Internal Server",
"headers": {
"x-cid": {
"description": "Request tracking identifier.",
"schema": {
"type": "string"
}
}
},
"content": {
"application/json": {
"schema": {
"$ref": "#/components/schemas/domain.Error"
},
"examples": {
"EIBA0005": {
"summary": "HTTP error",
"value": {
"code": "EIBA0005",
"message": "HTTP error"
}
},
"EIBA0011": {
"summary": "Accounts API server error",
"value": {
"code": "EIBA0011",
"message": "Accounts - API returned 5xx error"
}
},
"EIBA0013": {
"summary": "Accounts API timeout",
"value": {
"code": "EIBA0013",
"message": "Accounts - API timeout"
}
},
"EIBA0015": {
"summary": "Database error",
"value": {
"code": "EIBA0015",
"message": "Database internal error"
}
}
}
}
}
}
}
}
}
}
}
```